{% extends 'main/base_editform.html' %}

{% block content %}

<div class="page-header header-filter" data-parallax="true" style="background-image: url('{{ landing_top }}'); background-size: cover; background-position: top center;">
    <div class="container">
        <div class="row">
            <div class="col-md-6 ml-auto mr-auto">

                <!-- Edit form -->
            <form class="form" method="POST" action="{% url 'shops:edit' shop.id %}">
            <div class="card card-signup">
                    <h2 class="card-title text-center">{{ shop.name }}</h2>
                    {% csrf_token %}

                    {% if form.errors %}
                        {% for field in form %}
                            {% for error in field.errors %}
                                <div class="alert alert-danger">
                                    <strong>{{ error|escape }}</strong>
                                </div>
                            {% endfor %}
                        {% endfor %}
                        {% for error in form.non_field_errors %}
                            <div class="alert alert-danger">
                                <strong>{{ error|escape }}</strong>
                            </div>
                        {% endfor %}
                    <div class="alert alert-danger">
                        <div>
                            <div class="alert-icon">
                                <i class="material-icons">error_outline</i>
                            </div>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true"><i class="material-icons">clear</i></span>
                            </button>
                            <b>Kļūda:</b> Lietotājs ar šādu paroli netika atrasts. Lūdzu mēģiniet vēlreiz.
                        </div>
                    </div>
                    {% endif %}

                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-10 ml-auto mr-auto">
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.name.id_for_label }}" class="bmd-label-static">{{ form.name.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.name.value|default_if_none:"" }}" name="{{ form.name.html_name }}" id="{{ form.name.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.code.id_for_label }}" class="bmd-label-static">{{ form.code.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.code.value|default_if_none:"" }}" name="{{ form.code.html_name }}" id="{{ form.code.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.city.id_for_label }}" class="bmd-label-static">{{ form.city.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.city.value|default_if_none:"" }}" name="{{ form.city.html_name }}" id="{{ form.city.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.street.id_for_label }}" class="bmd-label-static">{{ form.street.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.street.value|default_if_none:"" }}" name="{{ form.street.html_name }}" id="{{ form.street.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.number.id_for_label }}" class="bmd-label-static">{{ form.number.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.number.value|default_if_none:"" }}" name="{{ form.number.html_name }}" id="{{ form.number.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.postal_code.id_for_label }}" class="bmd-label-static">{{ form.postal_code.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.postal_code.value|default_if_none:"" }}" name="{{ form.postal_code.html_name }}" id="{{ form.postal_code.id_for_label }}">
                                    </div>
                                </div>
                                <div class="card-footer justify-content-center">
                                    <button type="submit" class="btn btn-success btn-round">Saglabāt</button>
                                    <a href="{% url 'shops:view' %}" class="btn btn-default btn-round ml-3">Atcelt</a>
                                </div>
                                <input type="hidden" name="next" value="{{ next }}" />
                                
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </form>

{% if next %}
  {% if user.is_authenticated %}
    <p>Your account doesn't have access to this page. To proceed,
    please login with an account that has access.</p>
  {% else %}
    <p>Please login to see this page.</p>
  {% endif %}
{% endif %}
                
                </div>
        </div>
    </div>
</div>
  

{% endblock %}